Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Ubuntu 16.04 и radiotray  (Прочитано 3370 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн baho

  • Автор темы
  • Новичок
  • *
  • Сообщений: 25
    • Просмотр профиля
Ubuntu 16.04 и radiotray
« : 11 Июль 2016, 09:11:21 »
Установил и не запускается, пишет вот такое! Перестановка не помогает!

~$ sudo radiotray
/usr/lib/python2.7/dist-packages/radiotray/XmlDataProvider.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
/usr/lib/python2.7/dist-packages/radiotray/AudioPlayerGStreamer.py:64: FutureWarning: The behavior of this method will change in future versions. Use specific 'len(elem)' or 'elem is not None' test instead.
  if(cfg_provider._settingExists("buffer_size")):
/usr/lib/python2.7/dist-packages/radiotray/SysTray.py:100: PyGIWarning: AppIndicator3 was imported without specifying a version first. Use gi.require_version('AppIndicator3', '0.1') before import to ensure that the right version gets loaded.
  from gi.repository import AppIndicator3
Sleep Timer, Stops playing after a predefined time, SleepTimerPlugin.py, Carlos Ribeiro
StationSwitcher, Allows cycling through stations, StationSwitcherPlugin.py, Mark F
HelloWorld, This is a test plugin, HelloWorld.py, Carlos Ribeiro
started
Notifications, Shows message notifications on the desktop, NotificationPlugin.py, Carlos Ribeiro
/usr/share/radiotray/plugins/NotificationPlugin.py:25: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify
Mate Media Keys, Controls Radio Tray through keyboard multimedia keys, MateMediaKeysPlugin.py, Ken
Gnome Media Keys, Controls Radio Tray through keyboard multimedia keys, GnomeMediaKeysPlugin.py, Carlos Ribeiro
History, Shows song history, HistoryPlugin.py, Carlos Ribeiro

Спасибо!

banga_ivan

  • Гость
Re: Ubuntu 16.04 и radiotray
« Ответ #1 : 14 Июль 2016, 01:04:48 »
У меня была как-то подобная проблема. Попробуйте установить эти пакеты. Возможно поможет
sudo apt-get install python-xdg gir1.2-appindicator3-0.1
Пользователь добавил сообщение 14 Июль 2016, 01:07:26:
И для запуска данной программы вам не нужно использовать sudo.
Достаточно radiotray
« Последнее редактирование: 14 Июль 2016, 01:07:26 от banga_ivan »

Оффлайн Wazap

  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Re: Ubuntu 16.04 и radiotray
« Ответ #2 : 04 Август 2016, 20:41:14 »
У меня была как-то подобная проблема. Попробуйте установить эти пакеты. Возможно поможет
sudo apt-get install python-xdg gir1.2-appindicator3-0.1
Пользователь добавил сообщение 14 Июль 2016, 01:07:26:
И для запуска данной программы вам не нужно использовать sudo.
Достаточно radiotray

Спасибо, помогло

Оффлайн Akmee

  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: Ubuntu 16.04 и radiotray
« Ответ #3 : 27 Январь 2017, 01:38:00 »
А мне подобные действия не помогли в 16.04. Копаю дальше.
У16.04ЛТСх64, Интел_Коре2Дуо_Е4600, Нвидия_ГТХ650, 4Гб ОЗУ / У16.04ЛТСх64, Интел_Пентиум P6100, Нвидия_Оптимус, 6Гб ОЗУ

Оффлайн bevlam

  • Новичок
  • *
  • Сообщений: 3
  • Умник
    • Просмотр профиля
Re: Ubuntu 16.04 и radiotray
« Ответ #4 : 02 Декабрь 2017, 16:45:13 »
У меня была как-то подобная проблема. Попробуйте установить эти пакеты. Возможно поможет
sudo apt-get install python-xdg gir1.2-appindicator3-0.1Ubuntu 17.10 появился значёк в трее и радиостанции проигрываются. Спасибо. Теперь надо решить проблему с добавлением радиостанций на кирилице - не добавляются, а добавляются только на латинице. Когда то такокой проблемы не было...
bevlam@notebook:~$ radiotray
/usr/lib/python2.7/dist-packages/radiotray/XmlDataProvider.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
/usr/lib/python2.7/dist-packages/radiotray/AudioPlayerGStreamer.py:64: FutureWarning: The behavior of this method will change in future versions. Use specific 'len(elem)' or 'elem is not None' test instead.
  if(cfg_provider._settingExists("buffer_size")):
/usr/lib/python2.7/dist-packages/radiotray/SysTray.py:100: PyGIWarning: AppIndicator3 was imported without specifying a version first. Use gi.require_version('AppIndicator3', '0.1') before import to ensure that the right version gets loaded.
  from gi.repository import AppIndicator3
Sleep Timer, Stops playing after a predefined time, SleepTimerPlugin.py, Carlos Ribeiro
StationSwitcher, Allows cycling through stations, StationSwitcherPlugin.py, Mark F
HelloWorld, This is a test plugin, HelloWorld.py, Carlos Ribeiro
started
Notifications, Shows message notifications on the desktop, NotificationPlugin.py, Carlos Ribeiro
/usr/share/radiotray/plugins/NotificationPlugin.py:25: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify
Mate Media Keys, Controls Radio Tray through keyboard multimedia keys, MateMediaKeysPlugin.py, Ken
Gnome Media Keys, Controls Radio Tray through keyboard multimedia keys, GnomeMediaKeysPlugin.py, Carlos Ribeiro
History, Shows song history, HistoryPlugin.py, Carlos Ribeiro
config
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/radiotray/BookmarkConfiguration.py", line 560, in on_newGroupButton_clicked
    if self.dataProvider.addGroup(parent_group, name):
  File "/usr/lib/python2.7/dist-packages/radiotray/XmlDataProvider.py", line 100, in addGroup
    new_group.set("name", unicode(new_group_name))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 0: ordinal not in range(128)

 

Страница сгенерирована за 0.077 секунд. Запросов: 24.